diff -u -r wxGTK.orig/configure.in wxGTK/configure.in
--- wxGTK.orig/configure.in	Sun Aug 20 09:52:52 2000
+++ wxGTK/configure.in	Tue Sep 12 14:25:25 2000
@@ -709,6 +709,8 @@
   DEFAULT_wxUSE_LIBJPEG=no
   DEFAULT_wxUSE_LIBTIFF=no
   DEFAULT_wxUSE_ODBC=no
+  DEFAULT_wxUSE_IODBC=no
+  DEFAULT_wxUSE_UNIXODBC=no
   DEFAULT_wxUSE_OPENGL=no
 
   DEFAULT_wxUSE_ON_FATAL_EXCEPTION=no
@@ -830,6 +832,8 @@
   DEFAULT_wxUSE_LIBJPEG=yes
   DEFAULT_wxUSE_LIBTIFF=yes
   DEFAULT_wxUSE_ODBC=no
+  DEFAULT_wxUSE_IODBC=no
+  DEFAULT_wxUSE_UNIXODBC=no
   DEFAULT_wxUSE_OPENGL=no
 
   DEFAULT_wxUSE_ON_FATAL_EXCEPTION=yes
@@ -978,7 +982,30 @@
 
 WX_ARG_WITH(dmalloc,       [  --with-dmalloc          use dmalloc library (www.letters.com/dmalloc)], wxUSE_DMALLOC)
 WX_ARG_SYS_WITH(zlib,      [  --with-zlib             use zlib for LZW compression], wxUSE_ZLIB)
-WX_ARG_WITH(odbc,          [  --with-odbc             use the IODBC and wxODBC classes], wxUSE_ODBC)
+WX_ARG_WITH(odbc,          [  --with-odbc             use the IODBC and wxODBC classes], wxUSE_IODBC)
+
+AC_MSG_CHECKING(for --unixODBC)
+AC_ARG_WITH(unixODBC,
+[--with-unixODBC         use the unixODBC and wxODBC classes],
+[
+if test $withval = no
+then
+	wxUSE_UNIXODBC=""
+    AC_MSG_RESULT( no )
+else
+    if test $withval = yes
+    then
+	    wxUSE_UNIXODBC="/usr/local"
+    else
+	    wxUSE_UNIXODBC="$withval"
+    fi
+    AC_MSG_RESULT( yes )
+fi
+],
+[ 
+wxUSE_UNIXODBC="" 
+AC_MSG_RESULT( no ) 
+])
 
 dnl ====================
 dnl compile-time options
@@ -3283,6 +3310,8 @@
     AC_DEFINE(wxUSE_DYNLIB_CLASS)
 else
     wxUSE_ODBC=no
+    wxUSE_IODBC=no
+    wxUSE_UNIXODBC=no
     wxUSE_SERIAL=no
 fi
 
@@ -3315,13 +3344,42 @@
 dnl ----------------------------------------------------------------
 
 IODBC_C_SRC=""
-if test "$wxUSE_ODBC" = "yes" ; then
+if test "$wxUSE_IODBC" = "yes" ; then
     AC_DEFINE(wxUSE_ODBC)
     WXODBCFLAG="-D_IODBC_"
     SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS db"
     IODBCOBJS="\$(IODBC_OBJS)"
 else
     IODBCOBJS=
+fi
+
+dnl ----------------------------------------------------------------
+dnl unixODBC support
+dnl ----------------------------------------------------------------
+
+if test "x$wxUSE_UNIXODBC" != "x" ; then
+    odbcdir=""
+    AC_MSG_CHECKING(for unixODBC files)
+    for d in $wxUSE_UNIXODBC /usr /usr/local
+    do
+        if test -f $d/lib/libodbc.so 
+        then
+            AC_MSG_RESULT(found unixODBC in $d)
+            ODBCLIB="-lodbcinst"
+            odbcdir=$d
+            break
+        fi
+    done
+    if test x$odbcdir = x
+    then
+        AC_MSG_ERROR(unixODBC not found)
+    else
+        AC_DEFINE(wxUSE_ODBC)
+        WXODBCFLAG="-D_UNIXODBC_"
+        SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS db"
+        LIBS="$LIBS -L$odbcdir/lib -lodbc"
+        INCLUDES="$INCLUDES -I$odbcdir/include"
+    fi
 fi
 
 dnl ----------------------------------------------------------------
diff -u -r wxGTK.orig/setup.h.in wxGTK/setup.h.in
--- wxGTK.orig/setup.h.in	Sun Aug 20 09:52:53 2000
+++ wxGTK/setup.h.in	Tue Sep 12 14:20:38 2000
@@ -141,6 +141,8 @@
  * Use iODBC
  */
 #define wxUSE_ODBC 0
+#define wxUSE_IODBC 0
+#define wxUSE_UNIXODBC 0
 #define wxODBC_FWD_ONLY_CURSORS 1
 #define wxODBC_BACKWARD_COMPATABILITY 0
 /*
diff -u -r wxGTK.orig/src/common/db.cpp wxGTK/src/common/db.cpp
--- wxGTK.orig/src/common/db.cpp	Sun Aug 20 09:52:57 2000
+++ wxGTK/src/common/db.cpp	Tue Sep 12 14:21:30 2000
@@ -82,7 +82,7 @@
 #    define wxUSE_ODBC 1
 #endif
 
-#if wxUSE_ODBC
+#ifdef wxUSE_ODBC
 
 #include <stdio.h>
 #include <string.h>
@@ -641,7 +641,12 @@
         return(DispAllErrors(henv, hdbc));
 
     if (SQLGetInfo(hdbc, SQL_ODBC_SAG_CLI_CONFORMANCE, (UCHAR*) &dbInf.cliConfLvl, sizeof(dbInf.cliConfLvl), &cb) != SQL_SUCCESS)
-        return(DispAllErrors(henv, hdbc));
+    {
+        /*
+         * not all drivers do this
+         */
+        dbInf.cliConfLvl = 0;
+    }
 
     if (SQLGetInfo(hdbc, SQL_ODBC_SQL_CONFORMANCE, (UCHAR*) &dbInf.sqlConfLvl, sizeof(dbInf.sqlConfLvl), &cb) != SQL_SUCCESS)
         return(DispAllErrors(henv, hdbc));
